Component returned failure code: 0x8000ffff ... [nsIMsgMailNewsUrl.server] ... activity/alertHook.js" while sending an email via SMTP server

REOPENED
Unassigned

Status

defect
--
major
REOPENED
9 years ago
Last month

People

(Reporter: arpi, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.3) Gecko/20100401 Firefox/3.6.3 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.1.9) Gecko/20100317 Thunderbird/3.0.4

Every time, I'm trying to send an Email via a SMTP (smtp.1und1.de) server, I get this error message in the console:

Fehler: [Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIMsgMailNewsUrl.server]"  nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)"  location: "JS frame :: file:///C:/Programme/Mozilla%20Thunderbird/modules/activity/alertHook.js :: anonymous :: line 65"  data: no]
Quelldatei: file:///C:/Programme/Mozilla%20Thunderbird/modules/activity/alertHook.js
Zeile: 65


Reproducible: Always




in the past it works fine.
does the mail send successfully?
Summary: Component returned failure code: 0x8000ffff while sending an email via SMTP server → Component returned failure code: 0x8000ffff ... [nsIMsgMailNewsUrl.server] ... activity/alertHook.js" while sending an email via SMTP server
(In reply to comment #1)
> does the mail send successfully?

no, it doesn't. :-(
When did it stopped working, after an upgrade ?
> When did it stopped working, after an upgrade ?

It seems so. Sorry, but I don't use this email account very often to *send* emails. The last time, I've used it successfully to send an email was at 22th July 2009. :-S
Can you check you firewall settings ?
> Can you check you firewall settings ?

done.

WinXP firewall = disabled

external router firewall = disabled

I've tried to send an email via SMTP on port 465 (SSL) and port 25 (default). But it doesn't work. :'-(
Can you try to log what's going on with https://wiki.mozilla.org/MailNews:Logging make sure to set your log to use smtp and if running on vista make sure to set the log path on something else than c:\. 

Once you have the log can you attach it here using the add an attachment link above ?
FWIW, here's a similar report regarding smtp.gmail.com: <http://forums.mozillazine.org/viewtopic.php?f=39&t=1847595>
I have the same problem with sending emails on mail01.lichti.com using Thunderbird 3.0.4 (Mozilla/5.0 (Windows; U; Windows NT 6.0; de; rv:1.9.1.9) Gecko/20100317 Thunderbird/3.0.4)
I had this probem on smtp.mail.yahoo.de, too, but since I reinstalled Thunderbird, it works fine.

Inserting 'return false' in line 64 of alertHooks.js like suggested here <http://forums.mozillazine.org/viewtopic.php?f=39&t=1847595> did not help anything but there was no more message in the error console. Same with commenting commenting lines 62 to 79 which is the content of the onAlert: {} block.

The log sais '0[f2c140]: SMTP Connecting to: mail01.lichti.com' each time I try to send the email.

I talked to the server administrator and he said, that the connection worked well until the server did not receive the password. I checked 'Use username and password' and set the correct username, but Thunderbird never prompted for a password.
I have the same problem to send a message with big attachment ~ >100kb
- client Thunderbird 3.0.4 (Mozilla/5.0 (X11; U; Linux i686; it; rv:1.9.1.9) Gecko/20100317 Thunderbird/3.0.4)
- server Sendmail 8.13.1/8.13.1 but i'm not the admin :-(
- port 25, security STARTTLS

If the message is small with little attachment i have no problem.
If the message is ~ >100kb (variable) the connection go in timeout.
Another information: I have a firewall (NAT) but without limitations.
Now I have activated the log mode (comment 7) - Thunderbird 3.0.4 on linux
and this is the result:

======= little message sended without problem: ==========================

-1238329632[b610f060]: SMTP Connecting to: smtp.pec.KKKKKKKKKK.it
-1238329632[b610f060]: SMTP entering state: 0                     
-1238329632[b610f060]: SMTP Response: 220 smtp.ZZZZZZmail.it ESMTP Sendmail 8.13.1/8.13.1; Tue, 4 May 2010 16:13:57 +0200                                                                                                                           
-1238329632[b610f060]: SMTP entering state: 14                                                                               
-1238329632[b610f060]: SMTP Send: EHLO [172.16.4.86]                                                                         
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-smtp.ZZZZZZmail.it Hello XX-XX-XX-XX-static.YYYYYYYY.net [XX.XX.XX.XX] (may be forged), pleased to meet you                                                                                              
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-ENHANCEDSTATUSCODES                                                                
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-PIPELINING                                                                         
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-8BITMIME                                                                           
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-SIZE                                                                               
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-DSN                                                                                
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-ETRN                                                                               
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-AUTH LOGIN PLAIN                                                                   
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-STARTTLS                                                                           
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-DELIVERBY                                                                          
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250 HELP                                                                               
-1238329632[b610f060]: SMTP entering state: 4                                                                                
-1238329632[b610f060]: SMTP entering state: 21                                                                               
-1238329632[b610f060]: SMTP Send: STARTTLS                                                                                   
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 220 2.0.0 Ready to start TLS                                                           
-1238329632[b610f060]: SMTP entering state: 19                                                                               
-1238329632[b610f060]: SMTP entering state: 14                                                                               
-1238329632[b610f060]: SMTP Send: EHLO [172.16.4.86]                                                                         
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-smtp.ZZZZZZmail.it Hello XX-XX-XX-XX-static.YYYYYYYY.net [XX.XX.XX.XX] (may be forged), pleased to meet you                                                                                              
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-ENHANCEDSTATUSCODES                                                                
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-PIPELINING                                                                         
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-8BITMIME                                                                           
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-SIZE                                                                               
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-DSN                                                                                
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-ETRN                                                                               
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-AUTH LOGIN PLAIN                                                                   
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-DELIVERBY                                                                          
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250 HELP                                                                               
-1238329632[b610f060]: SMTP entering state: 4                                                                                
-1238329632[b610f060]: SMTP entering state: 21                                                                               
-1238329632[b610f060]: SMTP entering state: 16                                                                               
-1238329632[b610f060]: Logging suppressed for this command (it probably contained authentication information)                
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 235 2.0.0 OK Authenticated                                                             
-1238329632[b610f060]: SMTP entering state: 18                                                                               
-1238329632[b610f060]: SMTP entering state: 3                                                                                
-1238329632[b610f060]: SMTP Send: MAIL FROM:<MYNAME@pec.KKKKKKKKKK.it> SIZE=440                                           
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250 2.1.0 <MYNAME@pec.KKKKKKKKKK.it>... Sender ok                                   
-1238329632[b610f060]: SMTP entering state: 5                                                                                
-1238329632[b610f060]: SMTP Send: RCPT TO:<MYNAME@pec.KKKKKKKKKK.it>                                                      
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250 2.1.5 <MYNAME@pec.KKKKKKKKKK.it>... Recipient ok                                
-1238329632[b610f060]: SMTP entering state: 6                                                                                
-1238329632[b610f060]: SMTP Send: DATA                                                                                       
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 354 Enter mail, end with "." on a line by itself                                       
-1238329632[b610f060]: SMTP entering state: 7                                                                                
-1238329632[b610f060]: SMTP entering state: 8                                                                                
-1238329632[b610f060]: SMTP Send: .                                                                                          
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250 2.0.0 o44EDv7k009164 Message accepted for delivery                                 
-1238329632[b610f060]: SMTP entering state: 9                                                                                
-1238329632[b610f060]: SMTP Send: QUIT                                                                                       
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 221 2.0.0 smtp.ZZZZZZmail.it closing connection                                  
-1238329632[b610f060]: SMTP entering state: 10                                                                               
-1238329632[b610f060]: SMTP entering state: 12                                                                               
   
======= message failed: =================================================

-1238329632[b610f060]: SMTP Connecting to: smtp.pec.KKKKKKKKKK.it
-1238329632[b610f060]: SMTP entering state: 0                     
-1238329632[b610f060]: SMTP Response: 220 smtp.ZZZZZZmail.it ESMTP Sendmail 8.13.1/8.13.1; Tue, 4 May 2010 16:18:33 +0200                                                                                                                           
-1238329632[b610f060]: SMTP entering state: 14                                                                               
-1238329632[b610f060]: SMTP Send: EHLO [172.16.4.86]                                                                         
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-smtp.ZZZZZZmail.it Hello XX-XX-XX-XX-static.YYYYYYYY.net [XX.XX.XX.XX] (may be forged), pleased to meet you                                                                                              
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-ENHANCEDSTATUSCODES                                                                
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-PIPELINING                                                                         
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-8BITMIME                                                                           
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-SIZE                                                                               
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-DSN                                                                                
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-ETRN                                                                               
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-AUTH LOGIN PLAIN                                                                   
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-STARTTLS                                                                           
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250-DELIVERBY                                                                          
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 250 HELP                                                                               
-1238329632[b610f060]: SMTP entering state: 4                                                                                
-1238329632[b610f060]: SMTP entering state: 21                                                                               
-1238329632[b610f060]: SMTP Send: STARTTLS                                                                                   
-1238329632[b610f060]: SMTP entering state: 0                                                                                
-1238329632[b610f060]: SMTP Response: 220 2.0.0 Ready to start TLS                                                           
-1238329632[b610f060]: SMTP entering state: 19
-1238329632[b610f060]: SMTP entering state: 14
-1238329632[b610f060]: SMTP Send: EHLO [172.16.4.86]
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 250-smtp.ZZZZZZmail.it Hello XX-XX-XX-XX-static.YYYYYYYY.net [XX.XX.XX.XX] (may be forged), pleased to meet you
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 250-ENHANCEDSTATUSCODES
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 250-PIPELINING
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 250-8BITMIME
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 250-SIZE
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 250-DSN
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 250-ETRN
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 250-AUTH LOGIN PLAIN
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 250-DELIVERBY
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 250 HELP
-1238329632[b610f060]: SMTP entering state: 4
-1238329632[b610f060]: SMTP entering state: 21
-1238329632[b610f060]: SMTP entering state: 16
-1238329632[b610f060]: Logging suppressed for this command (it probably contained authentication information)
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 235 2.0.0 OK Authenticated
-1238329632[b610f060]: SMTP entering state: 18
-1238329632[b610f060]: SMTP entering state: 3
-1238329632[b610f060]: SMTP Send: MAIL FROM:<MYNAME@pec.KKKKKKKKKK.it> SIZE=643771
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 250 2.1.0 <MYNAME@pec.KKKKKKKKKK.it>... Sender ok
-1238329632[b610f060]: SMTP entering state: 5
-1238329632[b610f060]: SMTP Send: RCPT TO:<MYNAME@pec.KKKKKKKKKK.it>
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 250 2.1.5 <MYNAME@pec.KKKKKKKKKK.it>... Recipient ok
-1238329632[b610f060]: SMTP entering state: 6
-1238329632[b610f060]: SMTP Send: DATA
-1238329632[b610f060]: SMTP entering state: 0
-1238329632[b610f060]: SMTP Response: 354 Enter mail, end with "." on a line by itself
-1238329632[b610f060]: SMTP entering state: 7
-1238329632[b610f060]: SMTP entering state: 8
(here the "lock" and the timeout)
same problem in Linux and WindowsXP with Thunderbird 3.0.4 and SeaMonkey 2.0.4
same problem with KMail (linux) and OutlookExpress (windows)

no problem with same programs but without firewall
I have no idea... the firewall (NAT) is totally "open"...

The server is Sendmail 8.13.1/8.13.1 ... mah?
I have changed MTU value in linux:
ifconfig eth0 mtu 700
(default value 1500)

in the firewall i have not change the default value (1500)

and I have no more problem with Thunderbird, SeaMonkey and KMail :-)))))
We found the problem to be the use of port 25 instead of 587 in the Thunderbird outgoing SMTP server settings. Incoming mail was fine, but couldn't send. Problem resolved immediately on changing the port. (Old sendmail 8.11.7p3)
Reporter do you still see this problem when using recent version of Thunderbird?
Whiteboard: [closeme 2012-02-23]
RESOLVED INCOMPLETE due to lack of response to the previous comment. If you feel this change was made in error, please respond to this bug with your reasons why.
Status: UNCONFIRMED → RESOLVED
Closed: 8 years ago
Resolution: --- → INCOMPLETE
Just had the same problem Thunderbird 24.1.0 for Windows. Problem occurred with port 465 SSL and port 587 SSL:

  Zeitstempel: 04.11.2013 17:44:20
  Fehler: [Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIMsgMailNewsUrl.server]"  nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)"  location: "JS frame :: resource:///modules/activity/alertHook.js :: <TOP_LEVEL> :: line 48"  data: no]
  Quelldatei: resource:///modules/activity/alertHook.js
  Zeile: 48

It worked with Port 25 without SSL.

After restarting the modem it also works with port 465 and SSL. The same problem occurred with Outlook. So it seems not to be a problem with Thunderbird though Thunderbird could warn the user: "The SMTP connection did not work with port XXX. If it worked so far please try to reset your modem. Otherwise please try without SSL and default port 25."
So you say the sending silently fails (compose window still open) but TB does not report anything. The only clue is that error in the Error console?
See Also: → 1261686
See Also: → 1381805

I have seen this today, when playing with invalid SMTP servers, or real servers but giving wrong password and when sending message.
But I haven't lost any compositions, after cancelling all the error prompts I got back to the open composition window.

I'm not yet sure of exact steps to reproduce this, but I got the error message occasionally. The current code line is 42.

Status: RESOLVED → REOPENED
Ever confirmed: true
OS: Windows XP → All
Hardware: x86 → All
Resolution: INCOMPLETE → ---
Whiteboard: [closeme 2012-02-23]
Version: unspecified → Trunk

I get the error consistently when the smtp server is invalid.
In compose window I get:
Sending of the message failed.
An error occurred while sending mail: Outgoing server (SMTP) <server> is unknown. The server may be incorrectly configured. Please verify
that your Outgoing server (SMTP) settings are correct and try again.

After closing this dialog, the error in Console appears:
NS_ERROR_UNEXPECTED: Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIMsgMailNewsUrl.server] in alertHook.jsm:42

You need to log in before you can comment on or make changes to this bug.